Skip to Content
1

SAP HANA Tools in Eclipse Oxygen

Jul 12, 2017 at 08:22 PM

1.5k

avatar image

Hi!

I try to install SAP HANA Tools in Eclipse Oxygen on my Mac with macOS Sierra and always get the error:

Cannot complete the install because one or more required items could not be found.

Software being installed: SAP Cloud Platform Tools for Connecting to SAP HANA Systems 1.35.0 (com.sap.cloud.tools.eclipse.hana.feature.feature.group 1.35.0)

Missing requirement: CVOM Plug-in 3.3.4.r185_v20130215 (com.businessobjects.visualization.core.cvom 3.3.4.r185_v20130215) requires 'package org.xmlpull.v1 0.0.0' but it could not be found

How to solve this issue?

Thanks!

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

6 Answers

Best Answer
Frank Schuler
Jul 12, 2017 at 10:03 PM
2

Hello Volker,

Currently, the SAP Development Tools for Eclipse support Eclipse Neon and the older Eclipse Mars, but as far as I can tell not Eclipse Oxygen yet.

Best regards

Frank

Show 1 Share
10 |10000 characters needed characters left characters exceeded

It worked with Neon. Thanks!!

0
Chris LITZNERSKI
Aug 01, 2017 at 03:35 PM
2

I have the same problems using Eclipse Neon on MAC OS

p.p1 {margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px 'Helvetica Neue'}

Cannot complete the install because one or more required items could not be found.

Software being installed: SAP Cloud Platform Tools for Connecting to SAP HANA Systems 1.35.0 (com.sap.cloud.tools.eclipse.hana.feature.feature.group 1.35.0)

Missing requirement: CVOM Plug-in 3.3.4.r185_v20130215 (com.businessobjects.visualization.core.cvom 3.3.4.r185_v20130215) requires 'package org.xmlpull.v1 0.0.0' but it could not be found

Cannot satisfy dependency:

From: SAP Cloud Platform Tools for Connecting to SAP HANA Systems 1.35.0 (com.sap.cloud.tools.eclipse.hana.feature.feature.group 1.35.0)

To: com.sap.ndb.studio.appdev.feature.feature.group 0.0.0

Cannot satisfy dependency:

From: SAP Data Explorer UI 2.3.25 (com.sap.dataexplorer.ui 2.3.25)

To: bundle com.businessobjects.visualization.core.cvom 0.0.0

Cannot satisfy dependency:

From: SAP HANA Studio Application Development 2.3.25 (com.sap.ndb.studio.appdev.feature.feature.group 2.3.25)

To: com.sap.ndb.studio.dbdev.feature.feature.group 2.3.25

Cannot satisfy dependency:

From: SAP HANA Studio - CDS Data Preview 2.3.25 (com.sap.ndb.studio.cds.datapreview 2.3.25)

To: bundle com.sap.dataexplorer.ui 0.0.0

Cannot satisfy dependency:

From: SAP HANA Studio - CDS Tools 2.3.25 (com.sap.ndb.studio.cds.tools.feature.feature.group 2.3.25)

To: com.sap.ndb.studio.cds.datapreview [2.3.25]

Cannot satisfy dependency:

From: SAP HANA Studio Database Development 2.3.25 (com.sap.ndb.studio.dbdev.feature.feature.group 2.3.25)

To: com.sap.ndb.studio.cds.tools.feature.feature.group 2.3.25

Share
10 |10000 characters needed characters left characters exceeded
Volker Kolberg Jul 13, 2017 at 09:41 PM
1

Hi Frank!

Will try it the next days. Thanks. But it is not that easy when I follow the link provided by SAP. Only Google points me to the right download place for Eclipse Neon for Mac. By default always Oxygen is provided for download (and nothing else). A clear link or at least a clear WARNING on SAP side would be helpful.

Thanks.

Share
10 |10000 characters needed characters left characters exceeded
Andrei Liakhavets Oct 02, 2017 at 02:25 PM
1

Hello everyone,

I got the error when I tryed to use link https://tools.hana.ondemand.com/neon for installing SAP Tools for eclipse into my Eclipse with 'oxygen' version. But there is link https://tools.hana.ondemand.com/oxygen for this version of Eclipse.

Best Regards,

Andrei

Share
10 |10000 characters needed characters left characters exceeded
avatar image
Former Member Aug 09, 2017 at 09:48 PM
0

Any Updates on this Issue? Didnt find any HANA Modelling Tool Package from SAP software site as well so far

Share
10 |10000 characters needed characters left characters exceeded
avatar image
Former Member Oct 27, 2017 at 03:17 PM
0

I had the same issue which Volker Kolberg was having. I was able to download eclipse neon from the below link which solved the issue for me.

Here is the link, http://www.eclipse.org/downloads/packages/eclipse-ide-java-ee-developers/neon3

Hope this may resolve your issue.

Share
10 |10000 characters needed characters left characters exceeded